<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003" DefaultTargets="Build" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{7C7F460A-A3A0-40D5-872C-B7BA617F9BA7}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Db4oUnit</RootNamespace>
    <AssemblyName>Db4oUnit</AssemblyName>
    <ProjectTypeGuids>{4D628B5B-2FBC-4AA6-8C16-197242AEB884};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <PlatformFamilyName>PocketPC</PlatformFamilyName>
    <PlatformID>3C41C503-53EF-4c2a-8DD4-A8217CAD115E</PlatformID>
    <OSVersion>4.20</OSVersion>
    <DeployDirSuffix>Db4oUnit_CF_2008</DeployDirSuffix>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FormFactorID>
    </FormFactorID>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>2.0</OldToolsVersion>
    <NativePlatformName>Pocket PC 2003</NativePlatformName>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    
    
  





















<SignAssembly>true</SignAssembly>
<AssemblyOriginatorKeyFile>../db4objects.snk</AssemblyOriginatorKeyFile>
</PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;CF_3_5;CF;$(PlatformFamilyName)</DefineConstants>
    <NoStdLib>true</NoStdLib>
    <NoConfig>true</NoConfig>
    <ErrorReport>prompt</ErrorReport>
    <FileAlignment>512</FileAlignment>
    <WarningLevel>4</WarningLevel>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
    <NoWarn>1591;1572;1573;1574;0419;</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE;CF;CF_3_5;$(PlatformFamilyName)</DefineConstants>
    <NoStdLib>true</NoStdLib>
    <NoConfig>true</NoConfig>
    <ErrorReport>prompt</ErrorReport>
    <FileAlignment>512</FileAlignment>
    <WarningLevel>4</WarningLevel>
    <GenerateSerializationAssemblies>Off</GenerateSerializationAssemblies>
    <NoWarn>1591;1572;1573;1574;0419;</NoWarn>
  </PropertyGroup>
  <ItemGroup>
<Compile Include="Db4oUnit\Db4oUnit\ArrayAssert.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Assert.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\AssertionException.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Check.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ClassLevelFixtureTestSuite.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\CompositeTestListener.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ConsoleListener.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ConsoleTestRunner.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ContextfulTest.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Data\Generators.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Data\Streams.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\FailingTest.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\Contextful.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\ContextfulIterator.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\EnvironmentProvider.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\FixtureBasedTestSuite.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\FixtureContext.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\FixtureDecorator.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\FixtureTestSuiteDescription.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\FixtureVariable.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\IDeferred4.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\IFixtureProvider.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\ILabeled.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\LabeledObject.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\MultiValueFixtureProvider.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\SimpleFixtureProvider.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\SubjectFixtureProvider.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Fixtures\TestWithFixture.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\IClassLevelFixtureTest.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ICodeBlock.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITest.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITestDecorator.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITestExecutor.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITestFactory.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITestLifeCycle.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITestListener.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ITestSuiteBuilder.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Iterable4Assert.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Iterator4Assert.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\IteratorAssert.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\JaggedArrayAssert.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Mocking\CodeGenerator.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Mocking\MethodCall.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Mocking\MethodCallRecorder.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\OpaqueTestSuiteBase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Printable.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ReflectionTestSuite.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\ReflectionTestSuiteBuilder.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\SetupFailureException.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\StringAssert.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\TearDownFailureException.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\TestDecorationAdapter.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\TestFailure.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\TestFailureCollection.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\TestMethod.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\TestResult.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\TestRunner.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\AllTests.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\AssertTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\ClassLevelFixtureTestTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\CompositeTestListenerTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Data\AllTests.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Data\GeneratorsTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Data\StreamsTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\ExceptionInTearDownDoesNotShadowTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\AllTests.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\CollectionSet4.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\FixtureBasedTestSuiteTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\FixtureContextTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\HashtableSet4.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\ISet4.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\Iterable4TestUnit.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\Set4TestSuite.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\Fixtures\Set4TestUnit.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\FrameworkTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\OpaqueTestSuiteFailureTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\OpaqueTestSuiteTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\ReflectionTestSuiteBuilderTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\ReinstantiatePerMethodTest.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\RunsGreen.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\RunsLifeCycle.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\RunsRed.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\TestExceptionWithInnerCause.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\TestLifeCycleTestCase.cs"/>
<Compile Include="Db4oUnit\Db4oUnit\Tests\TestRunnerTestCase.cs"/>
<Compile Include="Properties\AssemblyInfo.cs"/>
<Compile Include="native\Db4oUnit\ArrayAssert.cs"/>
<Compile Include="native\Db4oUnit\Assert.cs"/>
<Compile Include="native\Db4oUnit\AssertionException.cs"/>
<Compile Include="native\Db4oUnit\Data\Generators.cs"/>
<Compile Include="native\Db4oUnit\NullTextWriter.cs"/>
<Compile Include="native\Db4oUnit\TestException.cs"/>
<Compile Include="native\Db4oUnit\TestPlatform.cs"/>
<Compile Include="native\Db4oUnit\Util\PlatformInformation.cs"/>
<Compile Include="native\Db4oUnit\Util\StopWatch.cs"/>
</ItemGroup>
  <ItemGroup>
    <Reference Include="mscorlib, Version=3.5.0.0, Culture=neutral, PublicKeyToken=969db8053d3322ac, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>C:\Program Files (x86)\Microsoft.NET\SDK\CompactFramework\v3.5\WindowsCE\mscorlib.dll</HintPath>
    </Reference>
    <Reference Include="System, Version=3.5.0.0, Culture=neutral, PublicKeyToken=969db8053d3322ac, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>C:\Program Files (x86)\Microsoft.NET\SDK\CompactFramework\v3.5\WindowsCE\System.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Db4objects.Db4o\Db4objects.Db4o-CF-2008.csproj">
      <Project>{95FD1C64-F1A3-4C8A-B170-D518E899B2FE}</Project>
      <Name>Db4objects.Db4o-CF-2008</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Db4oUnit\Util\"/>
  </ItemGroup>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}">
        <HostingProcess disable="1"/>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <Import Project="$(MSBuildBinPath)\Microsoft.CompactFramework.CSharp.targets"/>
</Project>
